apiVersion: v1
kind: Pod
metadata:
  name: pod-kueue
  namespace: test-job-bug
  labels:
    kueue.x-k8s.io/queue-name: user-queue
spec:
  securityContext:
    runAsNonRoot: true
    # runAsUser: 1000
    # runAsUser: 1000770000
    seccompProfile:
      type: RuntimeDefault
  containers:
  - name: hello
    image: busybox
    # command: ["echo", "Hello from Kueue!"]
    command: ["sleep", "10"]
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
    ports:
    - containerPort: 80